.kxc-checkout-enabled {
    [id*='step_'] .kxc-section-inner,
    #step_01:not(.kxc-active-section) .kxc-section-header > *:not(#step_01_title),
    #submit_button {
        display: none;
    }
    
    section[id*='step_'] {
        scroll-margin-top: 32px;
        border: 1px solid #dfe4ea;
        border-radius: 8px;
        padding: 24px;
    }
    
    section:not(.kxc-active-section) h2,
    section:not(.kxc-active-section) .kxc-section-header {
        margin: 0 !important;
    }
    
    #step_01 {
        margin-top: 8px;
    }
    
    #step_03 {
        margin-bottom: 24px;
    }
    
    section[id*='step_'] :where(input, select, textarea) {
        scroll-margin-top: 32px;
    }
    
    h2[id*='step_'] {
        cursor: pointer;
    }
    
    .kxc-continue-btn {
        appearance: none;
        border: none;
        font: inherit;
        background: #40b1b2;
        color: white;
        font-size: 16px;
        line-height: 24px;
        font-weight: 600;
        padding: 12px 24px;
        margin: 0;
        border-radius: 8px;
        display: flex;
        width: fit-content;
        margin-top: 24px;
        text-decoration: none;
        cursor: pointer;
        margin-left: auto;
    }
    
    .kxc-navigation {
        position: relative;
        display: flex;
        justify-content: center;
        width: fit-content;
        margin-block: 40px;
        margin-inline: auto;
    }
    
    .kxc-step {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 8px;
        cursor: pointer;
        flex: 1 1 auto;
        padding-inline: 48px;
    }
    
    .kxc-step::before,
    .kxc-step::after {
        content: "";
        position: absolute;
        top: 24px;
        height: 2px;
        background-color: #dfe4ea;
        width: calc(50% - 24px);
    }
    
    .kxc-step::before { left: 0; }
    .kxc-step::after  { right: 0; }
    
    .kxc-step:first-child::before { content: none; }
    .kxc-step:last-child::after   { content: none; }
    
    .kxc-step.kxc-active::before { background-color: #40b1b2; }
    .kxc-step.kxc-complete::before { background-color: #40b1b2; }
    .kxc-step.kxc-complete::after { background-color: #40b1b2; }
    
    .kxc-step * {
        pointer-events: none;
    }
    
    .kxc-step-number {
        position: relative;
        z-index: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 48px;
        height: 48px;
        border: 2px solid #dfe4ea;
        border-radius: 50%;
        background-color: #f8f9fa;
        color: #637381;
        font-size: 18px;
    }
    
    .kxc-step-text {
        color: #637381;
        font-size: 16px;
        line-height: 20px;
        text-align: center;
    }
    
    .kxc-step.kxc-complete .kxc-step-number {
        border-color: #40b1b2;
        background-color: #40b1b2;
        color: white;
    }
    
    .kxc-step.kxc-active .kxc-step-number {
        border-color: #40b1b2;
        color: #40b1b2;
    }
    
    .kxc-active-section .kxc-section-inner {
        display: block !important;
    }
    
    @media (max-width: 580px) {
        .kxc-step {
            padding-inline: 24px;
        }
    
        .kxc-step::before,
        .kxc-step::after {
            top: 20px;
        }
    
        .kxc-step-number {
            width: 40px;
            height: 40px;
            font-size: 14px;
        }
    
        .kxc-step-text {
            font-size: 14px;
            line-height: 18px;
        }
    }
    
    @media (max-width: 380px) {
        .kxc-step {
            padding-inline: 12px;
        }
    }
}

#c_checkout #banner {
    visibility: hidden;
    min-height: 219px;
}

#c_checkout {
    .kxc-header {
        text-align: center;
        padding-block: 24px;
        display: none;
    }

    .kxc-header .container {
        display: flex;
        flex-direction: column;
        gap: 8px;
        align-items: center;
    }

    .kxc-header-reviews {
        display: flex;
        align-items: center;
        gap: 8px;
        background: #40b1b2;
        padding: 0 24px;
        border-radius: 50px;
        color: white;
        font-weight: 600;
        margin-top: 8px;
    }

    .kxc-header-reviews img {
        width: 120px;
        height: auto;
    }

    .kxc-header-usp {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 32px;
    }

    .kxc-header-usp__item {
        display: flex;
        align-items: center;
        gap: 8px;
    }

    .kxc-header-usp img {
        width: 48px;
        height: 48px;
        object-fit: contain;
    }

    @media (max-width: 992px) {
        .kxc-header-usp {
            gap: 20px;
            font-size: 14px;
            line-height: 1.3;
            text-wrap: pretty;
        }

        .kxc-header-usp img {
            width: 36px;
            height: 36px;
        }
    }

    @media (max-width: 768px) {
        .kxc-header-reviews {
            flex-direction: column;
            padding-block: 12px;
            border-radius: 12px;
            width: 100%;
        }
    }

    @media (max-width: 540px) {
        .kxc-header-usp__item:last-child {
            display: none;
        }
    }
}